<template>
  <div class="hamburger-menu" id="menu"
       :class="{opened: isOpen}"
  >
    <div class="container">
      <div class="logo-and-button">
        <div class="columns eight">
          <router-link to="/lk/my-loan" class="logotype">
            <svg class="webbankir-logotype" viewBox="0 3 170 25">
              <use xlink:href="#webbankir-logotype"/>
            </svg>
          </router-link>
        </div>
        <div class="columns four right">
          <svg class="hamburger" viewBox="0 0 60 60" @click="closeTopMenu">
            <use xlink:href="#close-icon"/>
          </svg>
        </div>
      </div>
      <div class="row flex-row">
        <!--<hr/>-->
        <CashbackWidget v-if="$cashback === 2"/>
        <ul @click="closeTopMenu" class="link-block">
          <li>
            <router-link tag="a" :to="{name: 'my-loan'}" active-class="active" @click.native="$events.$emit('myloan.reset')">
              <span class="hamburger-menu__list-item bold">Мой займ</span>
            </router-link>
          </li>
          <!--<li v-if="$posServices || $pdl.additionalServices === 1">-->
            <!--<router-link tag="a" :to="{name: 'targeted-lending'}" active-class="active">-->
              <!--<span class="hamburger-menu__list-item">Доп.услуги</span>-->
            <!--</router-link>-->
          <!--</li>-->
          <li>
            <a href="https://coupon.webbankir.com/" target="_blank" active-class="active" v-if="displayCoupons">
              <span class="hamburger-menu__list-item">Купоны</span>
            </a>
          </li>
          <li>
            <router-link tag="a" :to="{name: 'profile'}" :class="{needViewAnketeMobile: unfiled}" active-class="active">
              <span>Моя анкета</span>
              <div class="need-ankete-data-mobile" v-if="unfiled">
                Необходимо дозаполнить анкету. <span>Подробнее...</span>
              </div>
            </router-link>
          </li>
          <li>
            <router-link tag="a" :to="{name: 'my-accounts'}" active-class="active">
              <span class="hamburger-menu__list-item">Мои счета</span>
            </router-link>
          </li>
          <li>
            <router-link tag="a" :to="{name: 'loan-history'}" active-class="active">
              <span class="hamburger-menu__list-item">История займов</span>
            </router-link>
          </li>
        </ul>
        <ul @click="closeTopMenu" class="link-block" v-if="$interface.showInstallment">
          <li>
            <router-link tag="a" :to="{name: 'pos'}" active-class="active">
              <span class="hamburger-menu__list-item bold">Целевое кредитование</span>
            </router-link>
          </li>
          <li>
            <router-link tag="a" :to="{name: 'installment-partners'}" active-class="active">
              <span class="hamburger-menu__list-item">Партнеры</span></router-link>
          </li>
          <li>
            <router-link tag="a" :to="{name: 'installment-schedule'}" active-class="active">
              <span class="hamburger-menu__list-item">График платежей</span>
            </router-link>
          </li>
        </ul>
        <ul @click="closeTopMenu" class="link-block">
          <li>
            <router-link tag="a" :to="{name: 'services'}" active-class="active">
              <span class="hamburger-menu__list-item bold">Услуги</span>
            </router-link>
          </li>
          <li>
            <router-link tag="a" :to="{name: 'credit-rating'}" active-class="active">
              <span class="hamburger-menu__list-item">Кредитный рейтинг</span>
            </router-link>
          </li>
          <li>
            <router-link tag="a" to="/services/zkh" active-class="active">
              <span class="hamburger-menu__list-item">Оплата ЖКХ</span>
            </router-link>
          </li>
          <li>
            <router-link tag="a" to="/services/card2card" active-class="active">
              <span class="hamburger-menu__list-item">Перевод с карты на карту</span>
            </router-link>
          </li>

          <li class="feedback">
            <router-link tag="a" :to="{name: 'feedback'}" class="hamburger-menu__list-item bold" active-class="active">
              Пожаловаться на оператора
            </router-link>
          </li>
          <!--<li>-->
            <!--<router-link v-if="$config.creditRatingEnable" tag="a" :to="{name: 'credit-rating'}"-->
                         <!--class="hamburger-menu__list-item bold" active-class="active">-->
              <!--Кредитный рейтинг-->
            <!--</router-link>-->
          <!--</li>-->
        </ul>
        <hr/>
        <div class="center">
          <div class="avatar">
            <svg class="avatar">
              <use xlink:href="#placeholder-avatar"/>
            </svg>
          </div>
          <div class="text">
            <strong>{{ $user.userInicial }}</strong><br/>
            Ваш логин: {{ $user.login }}<br>
            <div @click="closeTopMenu">
              <router-link tag="a" class="change-pass" :to="{name: 'change-password'}">Изменить пароль</router-link>
            </div>
          </div>
        </div>
        <hr/>
        <ul class="link-block exit">
          <li>
            <a href="#" @click.prevent="doLogout" class="menu-link">
              <svg class="menu-link__icon" viewBox="0 0 26 26">
                <use xlink:href="#logout-icon"/>
              </svg>
              <span class="menu-logout">Выход</span>
            </a>
          </li>
        </ul>
        <hr/>
      </div>
    </div>
  </div>
</template>

<script>
  import {CLOSE_MENU, CLEAR_STATE, CLOSE_NOTIFICATIONS} from '@/store/mutation-types'
  import BlockingForms from '@/mixins/BlockingForms'
  import CashbackWidget from "../../components/CashbackWidget/index";
  import { mapGetters } from 'vuex'

  export default {
    name: 'hamburger-menu',
    components: {CashbackWidget},
    mixins: [BlockingForms],
    data: function () {
      return {
        isOpen: this.$store.getters.getMenuState.open
      }
    },
    computed: {
      ...mapGetters(['$cashback', '$coupons']),
        displayCoupons () {
            if (this.$coupons === 2) return true;

            return !!this.$history.find((loan) => loan.status === 7);
        }
    },
    methods: {
      closeTopMenu: function () {
        this.$store.commit(CLOSE_MENU)
      },
      doLogout: function () {
        this.closeTopMenu()
        this.$store.dispatch('AUTH_LOGOUT')
        this.$store.commit('CLEAR_PAYMENT_DATA')
        this.$store.commit('USER_RESET')
        this.$store.commit(CLEAR_STATE)
      },
      getClassName: function () {
        return this.$store.getters.getMenuState.open
      }
    }
  }
</script>

<style scoped lang="scss">
  @import "./../../../static/css/variables/main";
  @media #{$mobile} {
    .feedback {
      margin-top: 20px !important;
    }
  }

  .hamburger-menu {

    a.active {
      border-bottom: none;
      font-weight: normal;
    }

    .link-block {
      .active {
        /*font-weight: 600;*/
        span {
          border-bottom: none;
          font-weight: normal;
        }
      }
    }
  }

  .logo-and-button {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .menu-link {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    .menu-logout {
      width: auto;
    }
  }

  .menu-link__icon {
    width: 30px;
    height: 30px;
    margin-right: 10px;
  }

  /*.needViewAnketeMobile {*/
  /*position: relative;*/
  /*top: 15px;*/
  /*}*/

  .need-ankete-data-mobile {
    color: red;
    font-size: 8px;
  }

  .need-ankete-data-mobile span {
    color: black;
  }

  .webbankir-logotype {
    width: 100%;
    height: 100%;
    color: #000;
    @media (max-width: 320px) {
      width: 288px;
      height: 55px;
      color: transparent;
    }
  }
</style>
